Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.config.simple.editor
Class VendorPropsViewPanel.PropsTableModel

    java.lang.Object
      |
      +--javax.swing.table.AbstractTableModel
            |
            +--jpos.config.simple.editor.VendorPropsViewPanel.PropsTableModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

Enclosing class:
  VendorPropsViewPanel

class VendorPropsViewPanel.PropsTableModel
extends javax.swing.table.AbstractTableModel

TableModel inner class for this VendorProsViewPanel

Since:
  1.3 (Washington DC 2001)
Author:
  E. Michael Maximilien (maxim@us.ibm.com)
See Also:
  Serialized Form

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`(package private)` | `VendorPropsViewPanel.PropsTableModel()` Default ctor

Method Summary
`void` | `add()` Adds an empty property
`void` | `add(java.lang.String name, java.lang.Object value)` Adds a new JposEntry.Prop to the model
`void` | `cancelModifications()` Cancel all modifications
`void` | `clearAll()` Clears all by setting jposEntry to null and clearing the JposEntry.Prop list
`void` | `delete(int rowIndex)` Deletes the row index specified
`int` | `getColumnCount()`
`java.lang.String` | `getColumnName(int column)`
`int` | `getRowCount()`
`java.lang.Object` | `getValueAt(int rowIndex, int columnIndex)`
`boolean` | `isCellEditable(int rowIndex, int columnIndex)`
`boolean` | `isJposEntryModified()`
`void` | `setEditable(boolean b)` Sets whether the table model is editable or not
`void` | `setJposEntry(JposEntry entry)` Sets the JposEntry to be edited
`void` | `setValueAt(java.lang.Object value, int rowIndex, int columnIndex)` Sets the value at the
`void` | `updateJposEntry()` Updates the JposEntry with added, removed and changed property

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VendorPropsViewPanel.PropsTableModel

    VendorPropsViewPanel.PropsTableModel()

  Default ctor

Method Detail

### setJposEntry

    public void setJposEntry(JposEntry entry)

  Sets the JposEntry to be edited
  Parameters:
    `entry` - the entry

### add

    public void add()

  Adds an empty property

### add

    public void add(java.lang.String name,
                    java.lang.Object value)

  Adds a new JposEntry.Prop to the model
  Parameters:
    `name` - the property name to add
    `value` - the property value to add

### delete

    public void delete(int rowIndex)

  Deletes the row index specified
  Parameters:
    `rowIndex` - the row index to delete

### clearAll

    public void clearAll()

  Clears all by setting jposEntry to null and clearing the JposEntry.Prop list

### setEditable

    public void setEditable(boolean b)

  Sets whether the table model is editable or not
  Parameters:
    `b` - the boolean parameter

### updateJposEntry

    public void updateJposEntry()

  Updates the JposEntry with added, removed and changed property

### cancelModifications

    public void cancelModifications()

  Cancel all modifications

### isJposEntryModified

    public boolean isJposEntryModified()

  Returns:
    true if any property was changed, added or removed

### getColumnName

    public java.lang.String getColumnName(int column)

  Overrides:
    `getColumnName` in class `javax.swing.table.AbstractTableModel`
  Parameters:
    `column` - the column number
  Returns:
    the column name at column

### getColumnCount

    public int getColumnCount()

  Overrides:
    `getColumnCount` in class `javax.swing.table.AbstractTableModel`
  Returns:
    the number of column in the table

### getRowCount

    public int getRowCount()

  Overrides:
    `getRowCount` in class `javax.swing.table.AbstractTableModel`
  Returns:
    the current number of rows in the table

### setValueAt

    public void setValueAt(java.lang.Object value,
                           int rowIndex,
                           int columnIndex)

  Sets the value at the
  Overrides:
    `setValueAt` in class `javax.swing.table.AbstractTableModel`
  Parameters:
    `value` - the Object value to set
    `rowIndex` - the row index
    `columnIndex` - the column index

### getValueAt

    public java.lang.Object getValueAt(int rowIndex,
                                       int columnIndex)

  Overrides:
    `getValueAt` in class `javax.swing.table.AbstractTableModel`
  Parameters:
    `rowIndex` - the row index
    `columnIndex` - the column index
  Returns:
    the value in the table at

### isCellEditable

    public boolean isCellEditable(int rowIndex,
                                  int columnIndex)

  Overrides:
    `isCellEditable` in class `javax.swing.table.AbstractTableModel`
  Returns:
    true if the cell is editable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details